Home
last modified time | relevance | path

Searched full:daemon (Results 1 – 25 of 1166) sorted by relevance

12345678910>>...47

/openbmc/linux/tools/perf/
H A Dbuiltin-daemon.c84 struct daemon { struct
98 static struct daemon __daemon = { argument
103 "perf daemon {start|signal|stop|ping} [<options>]",
104 "perf daemon [<options>]",
115 static struct daemon_session *daemon__add_session(struct daemon *config, char *name) in daemon__add_session()
133 static struct daemon_session *daemon__find_session(struct daemon *daemon, char *name) in daemon__find_session() argument
137 list_for_each_entry(session, &daemon->sessions, list) { in daemon__find_session()
156 static int session_config(struct daemon *daemon, const char *var, const char *value) in session_config() argument
170 session = daemon__find_session(daemon, name); in session_config()
174 session = daemon__add_session(daemon, name); in session_config()
[all …]
/openbmc/linux/fs/ecryptfs/
H A Dmiscdev.c31 struct ecryptfs_daemon *daemon = file->private_data; in ecryptfs_miscdev_poll() local
34 mutex_lock(&daemon->mux); in ecryptfs_miscdev_poll()
35 if (daemon->flags & ECRYPTFS_DAEMON_ZOMBIE) { in ecryptfs_miscdev_poll()
37 "daemon\n", __func__); in ecryptfs_miscdev_poll()
40 if (daemon->flags & ECRYPTFS_DAEMON_IN_READ) in ecryptfs_miscdev_poll()
42 if (daemon->flags & ECRYPTFS_DAEMON_IN_POLL) in ecryptfs_miscdev_poll()
44 daemon->flags |= ECRYPTFS_DAEMON_IN_POLL; in ecryptfs_miscdev_poll()
45 mutex_unlock(&daemon->mux); in ecryptfs_miscdev_poll()
46 poll_wait(file, &daemon->wait, pt); in ecryptfs_miscdev_poll()
47 mutex_lock(&daemon->mux); in ecryptfs_miscdev_poll()
[all …]
H A Dmessaging.c94 * @daemon: If return value is zero, points to the desired daemon pointer
102 int ecryptfs_find_daemon_by_euid(struct ecryptfs_daemon **daemon) in ecryptfs_find_daemon_by_euid() argument
106 hlist_for_each_entry(*daemon, in ecryptfs_find_daemon_by_euid()
109 if (uid_eq((*daemon)->file->f_cred->euid, current_euid())) { in ecryptfs_find_daemon_by_euid()
120 * ecryptfs_spawn_daemon - Create and initialize a new daemon struct
121 * @daemon: Pointer to set to newly allocated daemon struct
130 ecryptfs_spawn_daemon(struct ecryptfs_daemon **daemon, struct file *file) in ecryptfs_spawn_daemon() argument
134 (*daemon) = kzalloc(sizeof(**daemon), GFP_KERNEL); in ecryptfs_spawn_daemon()
135 if (!(*daemon)) { in ecryptfs_spawn_daemon()
139 (*daemon)->file = file; in ecryptfs_spawn_daemon()
[all …]
/openbmc/linux/tools/perf/Documentation/
H A Dperf-daemon.txt1 perf-daemon(1)
7 perf-daemon - Run record sessions on background
13 'perf daemon'
14 'perf daemon' [<options>]
15 'perf daemon start' [<options>]
16 'perf daemon stop' [<options>]
17 'perf daemon signal' [<options>]
18 'perf daemon ping' [<options>]
23 This command allows to run simple daemon process that starts and
26 You can imagine 'perf daemon' of background process with several
[all …]
/openbmc/linux/tools/perf/tests/shell/
H A Ddaemon.sh2 # daemon operations
118 line=`perf daemon --config ${config} -x: | head -1`
125 # stop daemon
126 perf daemon stop --config ${config}
137 perf daemon start --config ${config}
139 # Clean up daemon if interrupted.
146 state=`perf daemon ping --config ${config} --session ${session} | awk '{ print $1 }'`
150 echo "FAILED: Timeout waiting for daemon to ping"
159 echo "test daemon list"
162 config=$(mktemp /tmp/perf.daemon.config.XXX)
[all …]
/openbmc/openbmc/poky/meta/recipes-core/busybox/busybox/
H A D0002-start-stop-daemon-fix-tests.patch4 Subject: [PATCH] start-stop-daemon: fix tests
8 - run "start-stop-daemon with both -x and -a" test only if "/bin/false"
15 testsuite/start-stop-daemon.tests | 14 +++++++++-----
18 diff --git a/testsuite/start-stop-daemon.tests b/testsuite/start-stop-daemon.tests
20 --- a/testsuite/start-stop-daemon.tests
21 +++ b/testsuite/start-stop-daemon.tests
29 testing "start-stop-daemon -x without -a" \
30 'start-stop-daemon -S -x true 2>&1; echo $?' \
34 testing "start-stop-daemon -x with -d on existing directory" \
35 - 'start-stop-daemon -S -d /tmp -x true 2>&1; echo $?' \
[all …]
/openbmc/hiomapd/Documentation/
H A Dmboxd.md16 This document describes the reference mailbox daemon contained in this
21 The main mailbox daemon is implemented in mboxd.c. This file uses helper
25 dbus.c - Contains the handlers for the D-Bus commands which the daemon can
31 transport_mbox.c - Contains the handlers for the mbox commands which the daemon
36 ## Daemon State
38 The daemon is a state machine with 5 valid states:
41 UNINITIALISED - The daemon is still in the initialisation phase and
43 ACTIVE_MAPS_FLASH - The daemon is polling for incoming commands, is not
46 SUSPEND_MAPS_FLASH - The daemon is polling for incoming commands, is
49 ACTIVE_MAPS_MEM - The daemon is polling for incoming commands, is not
[all …]
/openbmc/phosphor-mboxd/Documentation/
H A Dmboxd.md17 This document describes the reference mailbox daemon contained in this
22 The main mailbox daemon is implemented in mboxd.c. This file uses helper
26 mboxd_dbus.c - Contains the handlers for the D-Bus commands which the daemon can
32 mboxd_msg.c - Contains the handlers for the mbox commands which the daemon
37 ## Daemon State
39 The daemon is a state machine with 5 valid states:
42 UNINITIALISED - The daemon is still in the initialisation phase and
44 ACTIVE_MAPS_FLASH - The daemon is polling for incoming commands, is not
47 SUSPEND_MAPS_FLASH - The daemon is polling for incoming commands, is
50 ACTIVE_MAPS_MEM - The daemon is polling for incoming commands, is not
[all …]
/openbmc/openbmc/meta-openembedded/meta-oe/recipes-connectivity/transmission/files/
H A Dtransmission-daemon3 # Provides: transmission-daemon
8 # Short-Description: Start the transmission BitTorrent daemon client.
39 #TRANSMISSION_HOME="/var/config/transmission-daemon"
42 # The arguments passed on to transmission-daemon.
53 NAME=transmission-daemon
54 DAEMON=$(which $NAME)
59 [ -x "$DAEMON" ] || exit 0
68 # Function that starts the daemon/service
82 # 0 if daemon has been started
83 # 1 if daemon was already running
[all …]
/openbmc/openbmc/meta-openembedded/meta-oe/dynamic-layers/selinux/recipes-devtool/android-tools/android-tools/
H A D0001-Fixes-for-yocto-build.patch13 system/core/adb/daemon/file_sync_service.cpp | 4 ++--
14 system/core/adb/daemon/framebuffer_service.h | 2 --
15 system/core/adb/daemon/main.cpp | 5 +++--
16 system/core/adb/daemon/restart_service.h | 2 --
17 system/core/adb/daemon/services.cpp | 6 ++----
18 system/core/adb/daemon/shell_service.cpp | 5 ++++-
22 diff --git a/system/core/adb/daemon/file_sync_service.cpp b/system/core/adb/daemon/file_sync_servic…
24 --- a/system/core/adb/daemon/file_sync_service.cpp
25 +++ b/system/core/adb/daemon/file_sync_service.cpp
44 diff --git a/system/core/adb/daemon/framebuffer_service.h b/system/core/adb/daemon/framebuffer_serv…
[all …]
H A Dadbd.mk6 adb/daemon/auth.cpp \
7 adb/daemon/file_sync_service.cpp \
8 adb/daemon/file_sync_service.h \
9 adb/daemon/framebuffer_service.cpp \
10 adb/daemon/framebuffer_service.h \
11 adb/daemon/jdwp_service.cpp \
12 adb/daemon/main.cpp \
13 adb/daemon/restart_service.cpp \
14 adb/daemon/restart_service.h \
15 adb/daemon/services.cpp \
[all …]
/openbmc/openbmc/meta-openembedded/meta-oe/recipes-security/audit/audit/
H A Dauditd8 # Short-Description: Audit Daemon
19 DESC="audit daemon"
21 DAEMON=/sbin/auditd
26 [ -x "$DAEMON" ] || exit 0
36 # Function that starts the daemon/service
41 # 0 if daemon has been started
42 # 1 if daemon was already running
43 # 2 if daemon could not be started
44 start-stop-daemon -S --quiet --pidfile "$PIDFILE" --exec "$DAEMON" --test > /dev/null \
46 start-stop-daemon -S --quiet --pidfile "$PIDFILE" --exec "$DAEMON" -- \
[all …]
/openbmc/openbmc/meta-openembedded/meta-filesystems/recipes-filesystems/owfs/owfs/
H A Dowserver5 DAEMON="owserver"
7 test -f /usr/bin/${DAEMON} || exit 0
9 if test -f /etc/default/${DAEMON} ; then
10 . /etc/default/${DAEMON}
21 echo -n "Starting ${DAEMON}: "
22 start-stop-daemon --start -x /usr/bin/${DAEMON} -- ${CMDLINE} --pid_file /var/run/${DAEMON}.pid
27 echo -n "Stopping ${DAEMON}: "
28 start-stop-daemon --stop -p /var/run/${DAEMON}.pid
54 echo "Usage: ${DAEMON} { start | stop | restart | reload }" >&2
H A Dowhttpd5 DAEMON="owhttpd"
7 test -f /usr/bin/${DAEMON} || exit 0
9 if test -f /etc/default/${DAEMON} ; then
10 . /etc/default/${DAEMON}
22 echo -n "Starting ${DAEMON}: "
23 start-stop-daemon --start -x /usr/bin/${DAEMON} -- ${CMDLINE} --pid_file /var/run/${DAEMON}.pid
28 echo -n "Stopping ${DAEMON}: "
29 start-stop-daemon --stop -p /var/run/${DAEMON}.pid
55 echo "Usage: ${DAEMON} { start | stop | restart | reload }" >&2
/openbmc/openbmc/meta-openembedded/meta-networking/recipes-support/netperf/files/
H A Dinit21 DAEMON=/usr/sbin/netserver
23 test -f $DAEMON || exit 0
28 start-stop-daemon -S -x $DAEMON > /dev/null 2>&1
33 start-stop-daemon -K -x $DAEMON
38 # If the daemon can reload its config files on the fly
41 # If the daemon responds to changes in its config file
44 # start-stop-daemon --stop --signal 1 --verbose --exec $DAEMON
52 start-stop-daemon -K -x $DAEMON
54 start-stop-daemon -S -x $DAEMON
/openbmc/openbmc/meta-openembedded/meta-oe/recipes-extended/collectd/collectd/
H A Dcollectd.init3 # collectd - start and stop the statistics collection daemon
18 # Short-Description: manage the statistics collection daemon
19 # Description: collectd is the statistics collection daemon.
20 # It is a small daemon which collects system information
32 DAEMON=/usr/sbin/collectd
44 test -x $DAEMON || exit 0
68 if ! $DAEMON -t -C "$CONFIGFILE"; then
75 # 0 if the daemon has been started
76 # 1 if the daemon was already running
77 # 2 if the daemon could not be started
[all …]
/openbmc/openbmc/meta-openembedded/meta-oe/recipes-extended/rsyslog/rsyslog/
H A Dinitscript20 # Function that starts the daemon/service
24 DAEMON=$1
28 # 0 if daemon has been started
29 # 1 if daemon could not be started
30 # if daemon had already been started, start-stop-daemon will return 1
32 start-stop-daemon -S --quiet --pidfile $PIDFILE --exec $DAEMON \
36 # Function that stops the daemon/service
43 # 0 if daemon has been stopped
44 # 1 if daemon was already stopped
45 # 2 if daemon could not be stopped
[all …]
/openbmc/openbmc/poky/meta/recipes-connectivity/avahi/files/
H A D0001-Fix-opening-etc-resolv.conf-error.patch6 Fix to start avahi-daemon after systemd-resolved.service. This is because
24 /etc/resolv-conf.connman. So launch avahi-daemon after connman too.
28 avahi-daemon/avahi-daemon.service.in | 1 +
31 diff --git a/avahi-daemon/avahi-daemon.service.in b/avahi-daemon/avahi-daemon.service.in
33 --- a/avahi-daemon/avahi-daemon.service.in
34 +++ b/avahi-daemon/avahi-daemon.service.in
38 Requires=avahi-daemon.socket
/openbmc/openbmc/poky/meta/recipes-core/sysvinit/sysvinit/
H A Dbootlogd.init10 # "stop-bootlogd", it will stop the daemon instead of
16 DAEMON=/sbin/bootlogd
18 DESC="Bootlog daemon"
23 test -f $DAEMON || exit 0
53 start-stop-daemon --start --quiet \
54 --exec $DAEMON -- -r -c
56 $DAEMON -r -c
64 start-stop-daemon --stop --quiet --exec $DAEMON
80 start-stop-daemon --stop --quiet --exec $DAEMON
82 start-stop-daemon --start --quiet --exec $DAEMON
[all …]
/openbmc/openbmc/poky/meta/recipes-extended/lighttpd/lighttpd/
H A Dlighttpd4 DAEMON=/usr/sbin/lighttpd
10 "$DAEMON" $OPTS -tt || exit 1
17 start-stop-daemon --start -x "$DAEMON" -- $OPTS
22 start-stop-daemon --stop -x "$DAEMON"
28 start-stop-daemon --stop -x "$DAEMON"
30 start-stop-daemon --start -x "$DAEMON" -- $OPTS
36 killall -USR1 "${DAEMON##*/}"
/openbmc/openbmc/meta-openembedded/meta-oe/recipes-connectivity/krb5/krb5/etc/init.d/
H A Dkrb5-admin-server10 # Short-Description: MIT Kerberos KDC administrative daemon
12 # administrative daemon (kadmind). This daemon answers
29 DAEMON=/usr/sbin/$NAME
35 [ -x "$DAEMON" ] || exit 0
50 # 0 if daemon has been started
51 # 1 if daemon was already running
52 # 2 if daemon could not be started
55 start-stop-daemon --start --quiet --startas $DAEMON --name $NAME --test \
57 start-stop-daemon --start --quiet --startas $DAEMON --name $NAME \
62 # 0 if daemon has been stopped
[all …]
H A Dkrb5-kdc11 # daemon responds to ticket requests from Kerberos
26 DAEMON=/usr/sbin/$NAME
31 [ -x "$DAEMON" ] || exit 0
42 # 0 if daemon has been started
43 # 1 if daemon was already running
44 # 2 if daemon could not be started
47 start-stop-daemon --start --quiet --startas $DAEMON --name $NAME --test \
49 start-stop-daemon --start --quiet --startas $DAEMON --name $NAME \
55 # 0 if daemon has been stopped
56 # 1 if daemon was already stopped
[all …]
/openbmc/openbmc/poky/meta/recipes-support/rng-tools/rng-tools/
H A Dinit15 echo -n "Starting random number generator daemon"
16 start-stop-daemon -S -q -x $rngd -- $EXTRA_ARGS
20 echo -n "Stopping random number generator daemon"
21 start-stop-daemon -K -q -n rngd
25 echo -n "Signalling rng daemon restart"
26 start-stop-daemon -K -q -s 1 -x $rngd
27 start-stop-daemon -K -q -s 1 -x $rngd
30 echo -n "Stopping random number generator daemon"
31 start-stop-daemon -K -q -n rngd
33 echo -n "Starting random number generator daemon"
[all …]
/openbmc/openbmc/meta-openembedded/meta-webserver/recipes-httpd/monkey/files/
H A Dmonkey.init4 DAEMON=/usr/sbin/monkey
7 OPTS="--daemon"
12 start-stop-daemon --start -x "$DAEMON" -- $OPTS
17 start-stop-daemon --stop -x "$DAEMON"
22 start-stop-daemon --stop -x "$DAEMON"
24 start-stop-daemon --start -x "$DAEMON" -- $OPTS
/openbmc/openbmc/meta-openembedded/meta-networking/recipes-protocols/freediameter/files/
H A Dfreediameter.init9 # Short-Description: Start freeDiameter daemon at boot time
10 # Description: Start the freeDiameter daemon at boot time.
15 DAEMON=/usr/bin/freeDiameterd
18 DESC="freeDiameter daemon"
22 [ -x $DAEMON ] || exit 5
23 echo -n $"Starting $DAEMON: "
24 start-stop-daemon -S -b -x ${DAEMON} && success || failure
32 start-stop-daemon -K -x $DAEMON
45 status $DAEMON

12345678910>>...47